MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LTIOverrideBackgroundPixel< BASE > Struct Template Reference

`#include <lti_imageStageOverrides.h>`

Inheritance diagram for LTIOverrideBackgroundPixel< BASE >:
[legend]
Collaboration diagram for LTIOverrideBackgroundPixel< BASE >:
[legend]

## Public Member Functions
const LTIPixel * | getBackgroundPixel () const
const LTIPixel * | getNoDataPixel () const
LT_STATUS | overrideBackgroundPixel (const LTIPixel *backgroundPixel)
LT_STATUS | overrideNoDataPixel (const LTIPixel *nodataPixel)

## Additional Inherited Members
Protected Member Functions inherited from LTIOverrideBackgroundPixelData
| LTIOverrideBackgroundPixelData ()
| ~LTIOverrideBackgroundPixelData ()
LT_STATUS | setBackgroundPixel (const LTIPixel *backgroundPixel)
| set the background color of the image More...
LT_STATUS | setNoDataPixel (const LTIPixel *nodataPixel)
| set the "no data" (transparency) color of the image More...
Protected Attributes inherited from LTIOverrideBackgroundPixelData
LTIPixel * | m_backgroundPixel
LTIPixel * | m_nodataPixel

## Detailed Description

### template<class BASE>
struct LTIOverrideBackgroundPixel< BASE >

Definition at line 235 of file lti_imageStageOverrides.h.

## Member Function Documentation

template<class BASE>

const LTIPixel* LTIOverrideBackgroundPixel< BASE >::getBackgroundPixel | ( | ) |  | const
| inline

Definition at line 239 of file lti_imageStageOverrides.h.

template<class BASE>

const LTIPixel* LTIOverrideBackgroundPixel< BASE >::getNoDataPixel | ( | ) |  | const
| inline

Definition at line 243 of file lti_imageStageOverrides.h.

template<class BASE>

LT_STATUS LTIOverrideBackgroundPixel< BASE >::overrideBackgroundPixel | ( | const LTIPixel * | backgroundPixel) |  |
| inline

Definition at line 248 of file lti_imageStageOverrides.h.

template<class BASE>

LT_STATUS LTIOverrideBackgroundPixel< BASE >::overrideNoDataPixel | ( | const LTIPixel * | nodataPixel) |  |
| inline

Definition at line 260 of file lti_imageStageOverrides.h.

The documentation for this struct was generated from the following file:

- lti_imageStageOverrides.h

LizardTech